Process a PaymentForm ACH Sale.

Run a PaymentForm ACH SALE transaction

Endpoint to run a PaymentForm ACH SALE transaction

Required Scopes

The API Key calling this endpoint must have one of the following scopes:

  • pcx:hosted_payment_form:*
  • pcx:hosted_payment_form_transaction:*
  • pcx:hosted_payment_form_transaction:sale
  • pcx:payments:*
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^\d{12}$
string
required
^hpf_[0-9a-fA-F]{32}$
string
required
^hpfi_[0-9a-fA-F]{32}$
Body Params

Transaction Details.

string
^bft_[a-f0-9]{32}$

A token reference used for making payments

shieldConexToken
object

The token returned from a Shieldconex operation

string
^\d{1,12}$

The PayConex transaction ID from the Payment Init

amounts
object
required
customFields
array of objects

Custom field values submitted for the hosted payment form.

customFields
string

The verificationId returned by a PASS result from
POST /api/v4/payment-form/{resourceInstanceId}/recaptcha/verify.
Required for the sale to proceed; it must belong to this payment form
instance and must not have expired. A missing, unknown or expired value
is rejected with error code 4011.

string
customer
object
shippingAddress
object
items
array of objects
length ≥ 1
items
string
required
length between 1 and 12

International description code of the individual good or service being supplied.

Recommend using national or international list of standardized codes.

string
required
length between 1 and 35

Item description

string
required
length between 1 and 12

Merchant-defined description code of the item.

string
required
^\d{1,7}\.?\d{0,4}$

Quantity of the item (up to four decimal places).

DDDDDDD.CCCC

string
required
length between 1 and 12

Code for units of measurement used in international trade.

string
required
^\d{1,7}\.?\d{0,2}$

Unit cost of the item.

DDDDDDD.CC

string | null
^\d{1,9}\.?\d{0,2}$

Amount of any sales or value added taxes associated with the item.

string | null
^\d{1,4}$

LineItemVATAmount.

Submitted Tax rate used to calculate as a percentage.

Two-digit implied decimal.

For example, if 10.42%, submit 1042

string | null
^\d{1,9}\.?\d{0,2}$

Discount amount applied to the line item.

This field should be 0.00 if the unit cost reflects a discount price or if no line item discount applies

DDDDDDDDD.CC

string | null
^\d{1,9}\.?\d{0,2}$

Total full amount associated with the line item (including tax).

DDDDDDDDD.CC

string | null

Tax identification number of the merchant reporting the alternate tax amount.

Not applicable for US merchants. (tag must be present, but can be empty)

string | null

Tax identification number of the merchant reporting the alternate tax amount.

Not applicable for US merchants.

(tag must be present, but can be empty)

string | null
enum

Indicates whether discount was applied to the purchase price of the item.

0 = Not supported

1 = Amount is discounted

2 = Amount is not discounted

Allowed:
string | null
enum

Indicates whether extended item amount included the tax.

0 = Not supported

1 = Item Amount includes tax amount

2 = Item Amount does not include tax amount

Allowed:
string | null
^\d{1,9}\.?\d{0,2}$

Amount of the item (price multiplied by quantity).

DDDDDDDDD.CC

string | null
enum

Indicates whether ExtendedItemAmount is a Credit (taking away from the total amount of the sale) or Debit (adding to the total amount of the sale).

0 = Not supported

1 = Extended Item Amount is Credit

2 = Extended Item Amount is Debit

Allowed:
string | null
^\d{1,4}$

Discount rate for the line item.

Submitted as a percentage.

Two-digit implied decimal.

For example, if 10.42%, submit 1042

trace
object
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json